Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
girl

Làm sao để chỉnh bé kích thước cái mũi tên này !

Các bài được khuyến nghị

hic. Scale thì nói làm gì ạ ? vì nó có cả 1000 đối tượng. Ngồi scale đến bao h ạ ? hic !

Bạn nói thế thì chịu.Mọi người đã đưa ra phương án khả thi nhất theo đúng yêu cầu của bạn rùi đó.Không phải LE cũng không phải Block nên đừng nói là 1000 chứ 1 triệu cái cũng thế.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em muốn chỉnh kích thước của cái mũi tên, nhưng ko chỉnh được. Mong các anh cao thủ nghiên cứu giúp em với ạ

http://www.cadviet.c...s/3/yeu_cau.dwg

Chào bạn Girl

Thứ nhất là Tue_NV chưa hiểu ý bạn mũi tên đó bạn chỉnh như thế nào?

 

Có 1 cách là bạn quét chọn các mũi tên -> Bấm Ctrol+1

-> vào thông số End segment width -> Chỉnh lại thông số này ->

 

Không biết Tue_NV hiểu như vậy đúng ý bạn không? Nếu chưa đúng -> Phiền bạn post cái mũi tên sau khi chỉnh sửa của bạn lên đây và nói rõ ra nhé!

 

 

Bạn nói thế thì chịu.Mọi người đã đưa ra phương án khả thi nhất theo đúng yêu cầu của bạn rùi đó.Không phải LE cũng không phải Block nên đừng nói là 1000 chứ 1 triệu cái cũng thế.

Scale là 1 phương án -> Nhưng không khả thi vì ... nhiều quá. cái nữa là nó làm mũi tên dài ra -> trong khi User không muốn nó dài ra thì sao. Cũng chiều dài mũi tên như thế -> nhưng User muốn cái đầu mũi tên nó To lên thôi.

Túm lại Scale là phương án bất khả thi. Còn có các phương án khác hay hơn nữa bạn soluuhuong2903 à

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mình kích vào mũi tên nhưng nó có hiện lên cái bảng nào đâu ! vấn đề là làm sao mà chỉnh được cái mũi tên đó bé lại một cách công nghiệp ( tức là áp dụng 1 phát cho 1000 cái được ý ạ ) , có thể cho ngắn đi 1 chút cũng ko sao ! không bit có cao thủ nào có cao kiến j ko ạ !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có 1 cách là bạn quét chọn các mũi tên -> Bấm Ctrol+1

-> vào thông số End segment width -> Chỉnh lại thông số này ->

Nhưng mà bác Tue_NV ơi, ctrl_1 sau khi chọn hết các mũi tên cũng ko xuất hiện thông số End segment width đâu cả.Vậy vẫn phải thủ công từng cái.ái chà

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu mũi tên anh vẽ bằng lệnh LE vào Dimension Style chỉnh lại to nhỏ dài ngắn thỏa mái hiên hàng tỷ triệu cái cũng có thể sửa xong trong giây lát. Còn nếu mũi tên anh vẽ kiểu tùy tiện không theo một nguyên tắc nào thì hãy đợi đấy!

Chỉ còn cách scale từng cái một cho tới hết đời cũng chưa xong! Đùa anh tí, đừng "rận" nhế! HI hi...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu mũi tên anh vẽ bằng lệnh LE vào Dimension Style chỉnh lại to nhỏ dài ngắn thỏa mái hiên hàng tỷ triệu cái cũng có thể sửa xong trong giây lát. Còn nếu mũi tên anh vẽ kiểu tùy tiện không theo một nguyên tắc nào thì hãy đợi đấy!

Chỉ còn cách scale từng cái một cho tới hết đời cũng chưa xong! Đùa anh tí, đừng "rận" nhế! HI hi...

Hề hề hề,

Hổng có "Rận" đâu, chỉ có "Chí" thôi, mà là Chí phèo ấy.

Hề hề hề, có khi chơi kiểu củ chuối lại nhanh ra phết bác ạ. Vẽ lại một thằng theo ý thích rùi copy liên lục chúng đè lên các thằng khác mà muốn thay. Hình như trên diễn đàn đã có cái vụ copy liên tục này rùi.

Mặc dầu làm cho bản vẽ thêm chút kí lô nhưng mà chả phải nghĩ ngợi chi cho mệt hỉ.... Chuối mà lị....

Hề hề hề,....

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mũi tên ấy vẽ bằng lệnh Pl , có thể sửa lại vài cái theo cách là của anh Tuệ rồi copy liên tục cách của bác Bình cũng nhanh. Nhưng nếu là em thì em dùng lệnh LE vẽ lại toàn bộ hay hơn tuy có lâu nhưng ngày sau có đổi ý, việc sửa lại cũng sướng hơn bác ạ!

Hi hi ...hình như bác Bình nói đến bài viết này:

lệnh copy liên tục trong autocad 2004 :

 

http://www.cadviet.c...showtopic=23054

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

hức. Cái mũi tên này là do chương trình NOVA chạy ra chứ em có vẽ đâu ạ ? Bác siêu cao thủ nào xử giúp em vụ này với, EM nguyện sẽ đi theo phò tá anh ý luôn. hí hí

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sang mục Yêu cầu lisp nhờ các bạn bên đó viết dùm cái lisp chuyển end segment width của segment 1 của 2DPolyline từ 0.18 về bao nhiêu đó thì cho nhập vào, nhập đến chừng nào vừa ý thì thôi.

Goodluck!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

hức. Cái mũi tên này là do chương trình NOVA chạy ra chứ em có vẽ đâu ạ ? Bác siêu cao thủ nào xử giúp em vụ này với, EM nguyện sẽ đi theo phò tá anh ý luôn. hí hí

Hi, mình cũng tập tành viết cái lisp mong là có ích cho bạn.

Nguyên lý hoạt động là bạn phải chọn những thằng mũi tên, rồi lisp sẽ thay thế các mũi tên này bằng một block. trong file mình gửi đây là block có tên Girl, hình dạng thì mình scale mũi tên nhỏ chút xíu, bạn có thể chỉnh sửa cái block này theo dúng ý bạn. bạn cũng có thể thay đổi tên block nhưng lúc này bạn phải thay đổi luôn tên trong lisp nhá!

đây là file cad có block Gilr là cái mũi tên màu đỏ nha:

http://www.mediafire..._cau%5B2%5D.dwg

(defun c:ic (/ dt sdt ent id ang p1 p2 os)
 (setq dt (ssget)
sdt (sslength dt)
id 0
os (getvar "osmode"))
 (command "undo" "be")
 (setvar "osmode" 0)
 (repeat sdt
(setq ent (ssname dt id)
  id (1+ id)
  p1 (vlax-curve-getPointAtParam ent 0)
  p2 (vlax-curve-getPointAtParam ent 1)
  ang (/(*(angle p1 p2)180)pi)
  )
(command "insert" "Girl" p1 "1" "" ang)
(entdel ent)
)
 (setvar "osmode" os)
 (command "undo" "end")
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Để chọn những "Mũi tên vàng" dễ dàng, bạn có thể xài lisp sau. và chú ý là gõ lệnh sw xong, chọn một mũi tên màu vàng, lisp sẽ chọn cho bạn những mũi tên giống nhau. sau đó gõ liếp lệnh ic

(defun c:sw(/ aaa ls dt dt1 sdt sdt1 ent ent1 id id1)
 (setq AAA(SSGET)
sdt (sslength AAA)
id 0
dt (ssadd)
)
 (repeat sdt;;repeat1
(setq ent (ssname AAA id)
id (1+ id)
);;setq
(setq ls (entget ent))
(if (= (cdr (assoc 0 ls)) "INSERT")
 	(get-block ent)
 	(setq dt1(ssget"all"(list(assoc 0 ls) (assoc 8 ls))))
 	);;if
(setq sdt1 (sslength dt1)
  id1 -1)
(while (setq ent1(ssname dt1 (setq id1 (1+ id1))))
 	(setq dt (ssadd ent1 dt))
 	);;While
(sssetfirst dt dt)   
);;repeat1
 (princ (strcat "\nco " (rtos (sslength dt)) " doi tuong." ))
 (princ)
 )
;;;;;;;;;;;;;;;;;;;;;;;;
(defun get-block(entm / sdtb idb ent2 entb dtm namem name BBB entb)
 (setq dtm (vlax-ename->vla-object entm))
 (setq namem (if(vlax-property-available-p dtm 'effectivename)
  (vla-get-effectivename dtm)
  (vla-get-name dtm)
  ));;;
 (setq BBB(SSGET "all" (list(cons 0 "INSERT") (assoc 8 (entget entm))))
sdtb (sslength BBB)
idb 0
dt1 (ssadd)
)
 (repeat sdtb;;repeat1
(setq entb (ssname BBB idb)
idb (1+ idb)
)
(setq ent2(vlax-ename->vla-object entb))
(setq name (if(vlax-property-available-p ent2 'effectivename)
  (vla-get-effectivename ent2)
  (vla-get-name ent2)
  ))
(if (= name namem)
 	(setq dt1 (ssadd entb dt1))
 	)
) 
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mình kích vào mũi tên nhưng nó có hiện lên cái bảng nào đâu ! vấn đề là làm sao mà chỉnh được cái mũi tên đó bé lại một cách công nghiệp ( tức là áp dụng 1 phát cho 1000 cái được ý ạ ) , có thể cho ngắn đi 1 chút cũng ko sao ! không bit có cao thủ nào có cao kiến j ko ạ !

the chu di ma tu tu di!chu dang choi lai moi n do!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Quick Code để bạn tham khảo.

1. Kiểu scale :

(defun c:test(/ ss tl i en)
(setq  ss (ssget "X" (list (cons 0 "POLYLINE")(cons 8 "ENTTNTHIETKE")))
 tl (getreal "Ti le scale :")
 i -1
)
(vl-load-com)
(while  (setq en (ssname ss (setq i (1+ i))))
 (vla-setwidth (vlax-ename->vla-object en) 0 0 (* 0.18 tl))
)
)

2. Kiểu cố định giá trị

(defun c:test(/ ss tl i en)
(setq  ss (ssget "X" (list (cons 0 "POLYLINE")(cons 8 "ENTTNTHIETKE")))
 tl (getreal "Kich thuoc mui ten :")
 i -1
)
(vl-load-com)
(while  (setq en (ssname ss (setq i (1+ i))))
 (vla-setwidth (vlax-ename->vla-object en) 0 0 tl)
)
)

 

@Truongngocdat

Các bài viết của bạn đều không có dấu và không có tính chất xây dựng, đề nghị bạn tôn trọng người đọc và diễn đàn! Thân

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lệnh SW chọn được mũi tên như anh nói, nhưng lệnh ic thì unknowcommand ? a kiểm tra lại giúp em nhé !

BẠN LOAD CÁI LISP IC VỀ RỒI APLOAD NO MỚI CÓ CHỨ NÈ!

http://www.cadviet.com/forum/index.php?showtopic=58245&view=findpost&p=178451

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Anh ơi, lệnh IC bị lỗiCommand: ic

32 found

 

"Girl.dwg": Can't find file in search path:

C:\Documents and Settings\Administrator\My Documents\ (current directory)

E:\Giang\2011\Duy tien\Dao LY\Xuat ho so\4.Trac ngang\

C:\Documents and Settings\Administrator\Application Data\Autodesk\AutoCAD

2007\R17.0\enu\support\

C:\Program Files\AutoCAD 2007\support\

C:\Program Files\AutoCAD 2007\fonts\

C:\Program Files\AutoCAD 2007\help\

C:\Program Files\AutoCAD 2007\Express\

C:\Program Files\AutoCAD 2007\support\color\

C:\Program Files\AutoCAD 2007\drv\

C:\Program Files\AutoCAD 2007\

*Invalid*

; error: Function cancelled

 

o

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đề nghị bạn đọc kỹ lại bài mình viết rồi làm nha! Do trong file của bạn ko có cái block Girl thì lấy gì mà insert.

Một là bạn copy cái block Girl mình tạo trong file cad đi kèm, 2 là bạn tạo mới rồi sử dụng

http://www.mediafire..._cau%5B2%5D.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×